Arduino

Buy | Download | Getting Started | Learning | Reference | Hardware | FAQ

Blog » | Forum » | Playground »

Reference Language (extended) | Libraries | Comparison | Changes

LiquidCrystal

## write()

#### Description

Write a character to the LCD.

#### Syntax

lcd.write(data)

#### Parameters

lcd: a variable of type LiquidCrystal

data: the character to write to the display

#### Example

    #include <LiquidCrystal.h>

    LiquidCrystal lcd(12, 11, 10, 5, 4, 3, 2);

    void setup()
    {
      Serial.begin(9600);
    }

    void loop()
    {
      if (Serial.available()) {
        lcd.write(Serial.read());
      }
    }

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

Edit Page | Page History | Printable View | All Recent Site Changes